import { QbittorrentTorrent } from '../qbittorrent/api.js';
import { DISCORD_SETTINGS } from '../utils/config.js';
declare type EmbedField = {
    name: string;
    value: string;
};
declare type DiscordEmbed = {
    title: string;
    description: string;
    thumbnail: {
        url: string;
    };
    fields: EmbedField[];
};
declare type PartialMesssageBody = {
    content: string;
    embeds: DiscordEmbed[];
};
declare type MessageBody = PartialMesssageBody & {
    username: string;
    avatar_url: string;
};
declare type TorrentAddedInfo = {
    name: string;
    trackers: string[];
    size: number;
    reannounceCount: number;
};
export declare const buildMessageBody: (discordSettings: DISCORD_SETTINGS, partialBody: PartialMesssageBody) => MessageBody;
export declare const buildTorrentAddedBody: (discordSettings: DISCORD_SETTINGS, torrentAddedInfo: TorrentAddedInfo) => MessageBody;
export declare const buildRacingBody: (discordSettings: DISCORD_SETTINGS, torrentAddedInfo: TorrentAddedInfo) => MessageBody;
export declare const buildTorrentCompletedBody: (discordSettings: DISCORD_SETTINGS, torrent: QbittorrentTorrent) => MessageBody;
export {};
