/// <reference types="node" />
/**
 * getTorrentMetaInfo
 * ---
 *
 * Takes in the raw .torrent to get:
 * - The torrent name
 * - The tracker
 * - The infohash (calculated by decoded .torrent, encoding info, and calculating the SHA-1 hash)
 *
 * @param torrentData The raw .torrent contents
 * @returns Metainfo about the torrent
 */
export declare const getTorrentMetainfo: (torrentData: Buffer) => TorrentMetainfoV2;
export declare type TorrentMetainfoV2 = {
    hash: string;
    name: string;
    tracker: string;
};
export declare type torrentMetainfo = {
    infohash: string;
    name: string;
    tracker: string;
};
