export declare enum TorrentState {
    error = "error",
    missingFiles = "missingFiles",
    uploading = "uploading",
    pausedUP = "pausedUP",
    queuedUP = "queuedUP",
    stalledUP = "stalledUP",
    checkingUP = "checkingUP",
    forcedUP = "forcedUP",
    allocating = "allocating",
    downloading = "downloading",
    metaDL = "metaDL",
    pausedDL = "pausedDL",
    queuedDL = "queuedDL",
    stalledDL = "stalledDL",
    checkingDL = "checkingDL",
    forcedDL = "forcedDL",
    checkingResumeData = "checkingResumeData",
    moving = "moving",
    unknown = "unknown"
}
export declare const SEEDING_STATES: TorrentState[];
export interface torrentFromApi {
    name: string;
    hash: string;
    state: TorrentState;
    added_on: number;
    ratio: number;
    category: string;
    tags: string;
    size: number;
}
export declare enum TrackerStatus {
    WORKING = 2
}
export declare type TransferInfo = {
    connection_status: string;
    dht_nodes: number;
    dl_info_data: number;
    dl_info_speed: number;
    up_info_data: number;
    up_info_speed: number;
};
